/* Inline roll generic styling */

.chat-message[data-message-id] .inline-roll.inline-result,
.inline-roll.inline-result {
	&.lil-roll-restyle {
		color: black;

		/* One or more min rolls */
		&.has-min-roll {}

		/* One or more max rolls */
		&.has-max-roll {}

		/* All dice rolled min */
		&.minimum-roll {}

		/* All dice rolled max */
		&.maximum-roll {}

		/* 40% – 60% */
		&.middling-roll {
			/*background-color: #f9ffec75;*/
			box-shadow: 0 0 5px #cfff00;
		}

		&.great-roll {
			//font-weight: bold;
			border-color: green;
		}

		&.horrible-roll {
			//font-weight: bold;
			border-color: red;
		}

		/* >75% */
		&.good-roll {
			/*background-color: #acedff8a;*/
			box-shadow: 0 0 5px #0098ff;
		}

		/* >50% */
		&.decent-roll {
			/*background-color: #acedff8a;*/
			box-shadow: 0 0 3px #80dc00;
		}

		/* <25% */
		&.bad-roll {
			/*background-color: #ff360030;*/
			box-shadow: 0 0 5px #f10050, 0 0 3px #ffa261;
			;
		}

		/* <50% */
		&.poor-roll {
			background-color: #f3e1cea6;
			box-shadow: 0 0 3px #e29200;
		}
	}
}
